    function open_category(){
		$('#category_div').bPopup();
		call_subcat();
		}
	function close_category(){
		$('#category_div').bPopup().close();
		}
	function save_category(){
		
		if($('#gl').val()==1){
			query = { gl:$('#gl').val(),jj:$('#jj').val(),jb:$('#jb').val(),mp:$('#mp').val(),
			autoid:$('#autoid').val(),act:1,kl:$('#koleksi').val(),ff:$('#ff').val(),
			sub_jb1:$('#sub_jb1').val(),
			sub_jb2:$('#sub_jb2').val(),
			sub_jb3:$('#sub_jb3').val()
			 }
		}
		if($('#gl').val()==2){
			query = { gl:$('#gl').val(),jj:$('#jj').val(),jb:$('#jb').val(),
			mp:$('#mp').val(),kelas:$('#kelas').val(),tipe:$('#tipe').val(),autoid:$('#autoid').val(),act:1 }
			}
		if($('#gl').val()==3){
			query = { gl:$('#gl').val(),mp:$('#mp').val(),autoid:$('#autoid').val(),act:1 }
			}			
		
		$.post('save_category.php',query,function(data){
					$('#x').html(data);
							$('#category_div').bPopup().close();
				})
		}
	
	function del_category(id){
		if(!confirm('Hapus Kategori ?')){
			return false;
			}
			$.post('save_category.php',{act:99,autoid:$('#autoid').val(),cat_id:id},function(data){
					$('#x').html(data);
				})		
		}
	
	function show_category(){
				$.post('save_category.php',{act:0,autoid:$('#autoid').val()},function(data){
					$('#x').html(data);
				})
		}
		
	function dosubmit(url){
			$('#iform').attr('method','post');
			$('#iform').attr('action',url);
			$('#iform').attr('target','_self');
			$('#iform').submit();
		}
	function dosubmit2(url){
			$('#iform').attr('method','post');
			$('#iform').attr('action',url);
			$('#iform').attr('target','_blank');
			$('#iform').submit();
		}

function formatDecimal(num) {
   num = num.toString().replace(/\$|\,/g,'');
   if(isNaN(num))
	num = "0";
	sign = (num == (num = Math.abs(num)));
	num = Math.floor(num*100+0.50000000001);
	cents = num%100;
	num = Math.floor(num/100).toString();
   
   if(cents<10)
      cents = "0" + cents;
      for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)
        num = num.substring(0,num.length-(4*i+3))+','+
	num.substring(num.length-(4*i+3));
    
    return (((sign)?'':'-') + num );
   //return (((sign)?'':'-') + '$' + num + '.' + cents);
}


function formatDecimalb(num) {
   num = num.toString().replace(/\$|\,/g,'');
   if(isNaN(num))
	num = "0";
	sign = (num == (num = Math.abs(num)));
	num = Math.floor(num*100+0.50000000001);
	cents = num%100;
	num = Math.floor(num/100).toString();
   
   if(cents<10)
      cents = "0" + cents;
      for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)
        num = num.substring(0,num.length-(4*i+3))+','+
	num.substring(num.length-(4*i+3));
    
    return (((sign)?'':'-') + num + '.' + cents);
   //return (((sign)?'':'-') + '$' + num + '.' + cents);
}